# azure.mgmt.powerbiembedded package

## Submodules

- azure.mgmt.powerbiembedded.models module
- azure.mgmt.powerbiembedded.operations module

## Module contents

class `azure.mgmt.powerbiembedded.``PowerBIEmbeddedManagementClient`(credentials, subscription_id, api_version='2016-01-29', accept_language='en-US', long_running_operation_retry_timeout=30, generate_client_request_id=True, base_url=None, filepath=None)

  Bases: `object`

  Client to manage your Power BI embedded workspace collections and retrieve workspaces.

  Variables:

  - config (PowerBIEmbeddedManagementClientConfiguration) – Configuration for client.
  - workspace_collections (operations.WorkspaceCollectionsOperations) – WorkspaceCollections operations
  - workspaces (operations.WorkspacesOperations) – Workspaces operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Gets subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.
  - api_version (str) – Client Api Version.
  - accept_language (str) – Gets or sets the preferred language for the response.
  - long_running_operation_retry_timeout (int) – Gets or sets the retry timeout in seconds for Long Running Operations. Default value is 30.
  - generate_client_request_id (bool) – When set to true a unique x-ms-client-request-id value is generated and included in each request. Default is true.
  - base_url (str) – Service URL
  - filepath (str) – Existing config

  `get_available_operations`(custom_headers=None, raw=False, **operation_config)

    Indicates which operations can be performed by the Power BI Resource Provider.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `OperationList`
    Return type: | `ClientRawResponse` if raw=true